## r-cran-rsvg 2.1

=== DESCRIPTION ===
Package: rsvg
Type: Package
Title: Render SVG Images into PDF, PNG, PostScript, or Bitmap Arrays
Version: 2.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Renders vector-based svg images into high-quality custom-size bitmap
    arrays using 'librsvg2'. The resulting bitmap can be written to e.g. png, jpeg
    or webp format. In addition, the package can convert images directly to various
    formats such as pdf or postscript.
License: MIT + file LICENSE
URL: https://github.com/jeroen/rsvg#readme
BugReports: https://github.com/jeroen/rsvg/issues
SystemRequirements: librsvg2
RoxygenNote: 7.1.0
Suggests: spelling, svglite, magick, webp, ggplot2, knitr
Language: en-US
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-05-19 15:23:34 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-05-19 15:50:05 UTC

=== debian/changelog ===
r-cran-rsvg (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 09:45:21 +0200

r-cran-rsvg (2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:13:44 +0200

r-cran-rsvg (1.3-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 21:41:32 +0200

r-cran-rsvg (1.3-1) unstable; urgency=medium

  * Initial release (closes: #954869)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 17:36:40 +0100

=== debian/control ===
Source: r-cran-rsvg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               librsvg2-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
Homepage: https://cran.r-project.org/package=rsvg
Rules-Requires-Root: no

Package: r-cran-rsvg
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R render SVG images into PDF, PNG, PostScript, or bitmap arrays
 Renders vector-based svg images into high-quality custom-size bitmap
 arrays using 'librsvg2'. The resulting bitmap can be written to e.g. png, jpeg
 or webp format. In addition, the package can convert images directly to various
 formats such as pdf or postscript.

## r-cran-rsvg 2.2.0

=== DESCRIPTION ===
Type: Package
Package: rsvg
Title: Render SVG Images into PDF, PNG, (Encapsulated) PostScript, or
        Bitmap Arrays
Version: 2.2.0
Authors@R: c(
    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-4035-0289")),
    person("Salim", "Brüggemann", , "salim-b@pm.me", role = c("ctb"),
           comment = c(ORCID = "0000-0002-5329-5987")))
Description: Renders vector-based svg images into high-quality custom-size
    bitmap arrays using 'librsvg2'. The resulting bitmap can be written to
    e.g. png, jpeg or webp format. In addition, the package can convert
    images directly to various formats such as pdf or postscript.
License: MIT + file LICENSE
URL: https://github.com/jeroen/rsvg
BugReports: https://github.com/jeroen/rsvg/issues
Suggests: ggplot2, knitr, magick, rmarkdown, spelling, svglite, webp
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.2
SystemRequirements: librsvg2
NeedsCompilation: yes
Packaged: 2022-02-06 14:03:55 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-02-07 08:20:09 UTC

=== debian/changelog ===
r-cran-rsvg (2.2.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 07:39:32 +0100

r-cran-rsvg (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 09:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                librsvg2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
 Homepage: https://cran.r-project.org/package=rsvg

## r-cran-rsvg 2.3.1

=== debian/changelog ===
r-cran-rsvg (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:01:18 +0200

## r-cran-rsvg 2.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: rsvg
 Title: Render SVG Images into PDF, PNG, (Encapsulated) PostScript, or
         Bitmap Arrays
-Version: 2.2.0
+Version: 2.4.0
 Authors@R: c(
     person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-4035-0289")),
@@ -13,8 +13,8 @@
     e.g. png, jpeg or webp format. In addition, the package can convert
     images directly to various formats such as pdf or postscript.
 License: MIT + file LICENSE
-URL: https://github.com/jeroen/rsvg
-BugReports: https://github.com/jeroen/rsvg/issues
+URL: https://docs.ropensci.org/rsvg/, https://github.com/ropensci/rsvg
+BugReports: https://github.com/ropensci/rsvg/issues
 Suggests: ggplot2, knitr, magick, rmarkdown, spelling, svglite, webp
 VignetteBuilder: knitr
 Encoding: UTF-8
@@ -22,9 +22,9 @@
 RoxygenNote: 7.1.2
 SystemRequirements: librsvg2
 NeedsCompilation: yes
-Packaged: 2022-02-06 14:03:55 UTC; jeroen
+Packaged: 2022-11-21 12:38:21 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-02-07 08:20:09 UTC
+Date/Publication: 2022-11-21 13:20:02 UTC

=== debian/changelog ===
r-cran-rsvg (2.4.0-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:16:42 +0100

r-cran-rsvg (2.3.2-1) unstable; urgency=medium

  * New upstream version
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 12:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-rsvg
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
+Homepage: https://cran.r-project.org/package=rsvg
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                librsvg2-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
-Homepage: https://cran.r-project.org/package=rsvg
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rsvg
 Architecture: any

## r-cran-rsvg 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: rsvg
 Title: Render SVG Images into PDF, PNG, (Encapsulated) PostScript, or
         Bitmap Arrays
-Version: 2.4.0
+Version: 2.6.0
 Authors@R: c(
     person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-4035-0289")),
@@ -15,16 +15,18 @@
 License: MIT + file LICENSE
 URL: https://docs.ropensci.org/rsvg/, https://github.com/ropensci/rsvg
 BugReports: https://github.com/ropensci/rsvg/issues
-Suggests: ggplot2, knitr, magick, rmarkdown, spelling, svglite, webp
+Suggests: ggplot2, knitr, magick, rmarkdown, spelling, svglite,
+        testthat (>= 3.0.0), webp, png
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-US
 RoxygenNote: 7.1.2
 SystemRequirements: librsvg2
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-11-21 12:38:21 UTC; jeroen
+Packaged: 2023-10-05 21:50:38 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-11-21 13:20:02 UTC
+Date/Publication: 2023-10-08 19:10:02 UTC

=== debian/changelog ===
r-cran-rsvg (2.6.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:28:10 +1100

r-cran-rsvg (2.6.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:48:38 +0000

r-cran-rsvg (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 11:23:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-cran-rsvg
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
 Homepage: https://cran.r-project.org/package=rsvg
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rsvg_([-\d.]*)\.tar\.gz

## r-cran-rsvg 2.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Package: rsvg
 Title: Render SVG Images into PDF, PNG, (Encapsulated) PostScript, or
         Bitmap Arrays
-Version: 2.6.0
+Version: 2.6.1
 Authors@R: c(
-    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("aut", "cre"),
+    person("Jeroen", "Ooms", , "jeroenooms@gmail.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-4035-0289")),
     person("Salim", "Brüggemann", , "salim-b@pm.me", role = c("ctb"),
            comment = c(ORCID = "0000-0002-5329-5987")))
@@ -24,9 +24,9 @@
 SystemRequirements: librsvg2
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-10-05 21:50:38 UTC; jeroen
+Packaged: 2024-09-19 17:11:15 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-08 19:10:02 UTC
+Date/Publication: 2024-09-20 09:10:02 UTC

=== debian/changelog ===
r-cran-rsvg (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 13:06:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-rsvg
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
 Homepage: https://cran.r-project.org/package=rsvg
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ggplot2,
        r-cran-knitr,
        r-cran-magick,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-svglite,
        r-cran-testthat (>= 3.0.0),
        r-cran-png
Restrictions: allow-stderr

## r-cran-rsvg 2.7.0

=== debian/changelog ===
r-cran-rsvg (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 18:19:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-rsvg
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               librsvg2-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvg.git
 Homepage: https://cran.r-project.org/package=rsvg
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               librsvg2-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rsvg
 Architecture: any
